Tenho que usar o Google Chrome?

Efectivamente o FastMEX é testado e está optimizado para o Google Chrome, mas também é testado com outros browsers como o Internet Explorer, Safari e Mozilla Firefox.

Na generalidade são todos compatíveis, mas o Internet Explorer apresenta, por vezes, algumas incompatibilidades.

Por este motivo sugerimos que instale o Google Chrome.

Instale usando o link abaixo:
http://www.google.com/chrome/